Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.extractor
Class XSSFEventBasedExcelExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor
              org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor

    public class XSSFEventBasedExcelExtractor

extends POIXMLTextExtractor

Implementation of a text extractor from OOXML Excel files that uses SAX event based parsing.

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`XSSFEventBasedExcelExtractor(OPCPackage container)`
`XSSFEventBasedExcelExtractor(java.lang.String path)`

Method Summary
`java.lang.String` | `getText()` Processes the file and returns the text
`static void` | `main(java.lang.String[] args)`
`void` | `processSheet(java.lang.StringBuffer output, StylesTable styles, ReadOnlySharedStringsTable strings, java.io.InputStream sheetInputStream)` Processes the given sheet
`void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
`void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true

Methods inherited from class org.apache.poi.POIXMLTextExtractor
`getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getMetadataTextExtractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFEventBasedExcelExtractor

    public XSSFEventBasedExcelExtractor(java.lang.String path)
                                 throws org.apache.xmlbeans.XmlException,
                                        OpenXML4JException,
                                        java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

### XSSFEventBasedExcelExtractor

    public XSSFEventBasedExcelExtractor(OPCPackage container)
                                 throws org.apache.xmlbeans.XmlException,
                                        OpenXML4JException,
                                        java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setIncludeSheetNames

    public void setIncludeSheetNames(boolean includeSheetNames)

  Should sheet names be included? Default is true

### setFormulasNotResults

    public void setFormulasNotResults(boolean formulasNotResults)

  Should we return the formula itself, and not the result it produces? Default is false

### processSheet

    public void processSheet(java.lang.StringBuffer output,
                             StylesTable styles,
                             ReadOnlySharedStringsTable strings,
                             java.io.InputStream sheetInputStream)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

  Processes the given sheet

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getText

    public java.lang.String getText()

  Processes the file and returns the text

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.